## NMSettingVlan NMSettingVlan |

## Functions

NMSetting * | nm_setting_vlan_new ()
const char * | nm_setting_vlan_get_parent ()
guint32 | nm_setting_vlan_get_id ()
guint32 | nm_setting_vlan_get_flags ()
gint32 | nm_setting_vlan_get_num_priorities ()
gboolean | nm_setting_vlan_get_priority ()
gboolean | nm_setting_vlan_add_priority ()
void | nm_setting_vlan_remove_priority ()
gboolean | nm_setting_vlan_remove_priority_by_value ()
gboolean | nm_setting_vlan_remove_priority_str_by_value ()
void | nm_setting_vlan_clear_priorities ()
gboolean | nm_setting_vlan_add_priority_str ()

## Types and Values

#define | NM_SETTING_VLAN_SETTING_NAME
#define | NM_SETTING_VLAN_PARENT
#define | NM_SETTING_VLAN_ID
#define | NM_SETTING_VLAN_FLAGS
#define | NM_SETTING_VLAN_INGRESS_PRIORITY_MAP
#define | NM_SETTING_VLAN_EGRESS_PRIORITY_MAP
enum | NMVlanPriorityMap
enum | NMVlanFlags
#define | NM_VLAN_FLAGS_ALL

## Object Hierarchy

        GEnum
        ╰── NMVlanPriorityMap
        GFlags
        ╰── NMVlanFlags

## Description

## Functions

### nm_setting_vlan_new ()

    NMSetting *
    nm_setting_vlan_new (void);

### nm_setting_vlan_get_parent ()

    const char *
    nm_setting_vlan_get_parent (NMSettingVlan *setting);

### nm_setting_vlan_get_id ()

    guint32
    nm_setting_vlan_get_id (NMSettingVlan *setting);

### nm_setting_vlan_get_flags ()

    guint32
    nm_setting_vlan_get_flags (NMSettingVlan *setting);

### nm_setting_vlan_get_num_priorities ()

    gint32
    nm_setting_vlan_get_num_priorities (NMSettingVlan *setting,
                                        NMVlanPriorityMap map);

### nm_setting_vlan_get_priority ()

    gboolean
    nm_setting_vlan_get_priority (NMSettingVlan *setting,
                                  NMVlanPriorityMap map,
                                  guint32 idx,
                                  guint32 *out_from,
                                  guint32 *out_to);

### nm_setting_vlan_add_priority ()

    gboolean
    nm_setting_vlan_add_priority (NMSettingVlan *setting,
                                  NMVlanPriorityMap map,
                                  guint32 from,
                                  guint32 to);

### nm_setting_vlan_remove_priority ()

    void
    nm_setting_vlan_remove_priority (NMSettingVlan *setting,
                                     NMVlanPriorityMap map,
                                     guint32 idx);

### nm_setting_vlan_remove_priority_by_value ()

    gboolean
    nm_setting_vlan_remove_priority_by_value
                                   (NMSettingVlan *setting,
                                    NMVlanPriorityMap map,
                                    guint32 from,
                                    guint32 to);

### nm_setting_vlan_remove_priority_str_by_value ()

    gboolean
    nm_setting_vlan_remove_priority_str_by_value
                                   (NMSettingVlan *setting,
                                    NMVlanPriorityMap map,
                                    const char *str);

### nm_setting_vlan_clear_priorities ()

    void
    nm_setting_vlan_clear_priorities (NMSettingVlan *setting,
                                      NMVlanPriorityMap map);

### nm_setting_vlan_add_priority_str ()

    gboolean
    nm_setting_vlan_add_priority_str (NMSettingVlan *setting,
                                      NMVlanPriorityMap map,
                                      const char *str);

## Types and Values

### NM_SETTING_VLAN_SETTING_NAME

    #define NM_SETTING_VLAN_SETTING_NAME "vlan"

### NM_SETTING_VLAN_PARENT

    #define NM_SETTING_VLAN_PARENT               "parent"

### NM_SETTING_VLAN_ID

    #define NM_SETTING_VLAN_ID                   "id"

### NM_SETTING_VLAN_FLAGS

    #define NM_SETTING_VLAN_FLAGS                "flags"

### NM_SETTING_VLAN_INGRESS_PRIORITY_MAP

    #define NM_SETTING_VLAN_INGRESS_PRIORITY_MAP "ingress-priority-map"

### NM_SETTING_VLAN_EGRESS_PRIORITY_MAP

    #define NM_SETTING_VLAN_EGRESS_PRIORITY_MAP  "egress-priority-map"

### enum NMVlanPriorityMap

A selector for traffic priority maps; these map Linux SKB priorities to 802.1p priorities used in VLANs.

#### Members

NM_VLAN_INGRESS_MAP | map for incoming data |
NM_VLAN_EGRESS_MAP | map for outgoing data |

### enum NMVlanFlags

NMVlanFlags values control the behavior of the VLAN interface.

#### Members

NM_VLAN_FLAG_REORDER_HEADERS | indicates that this interface should reorder outgoing packet headers to look more like a non-VLAN Ethernet interface |
NM_VLAN_FLAG_GVRP | indicates that this interface should use GVRP to register itself with its switch |
NM_VLAN_FLAG_LOOSE_BINDING | indicates that this interface's operating state is tied to the underlying network interface but other details (like routing) are not. |
NM_VLAN_FLAG_MVRP | indicates that this interface should use MVRP to register itself with its switch |

### NM_VLAN_FLAGS_ALL

    #define             NM_VLAN_FLAGS_ALL